KD Chart 2: KDChart::MarkerAttributes class Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChart::MarkerAttributes Class Reference

`#include <KDChartMarkerAttributes.h>`

List of all members.

## Public Types
enum | MarkerStyle { MarkerCircle = 0, MarkerSquare = 1, MarkerDiamond = 2, Marker1Pixel = 3, Marker4Pixels = 4, MarkerRing = 5, MarkerCross = 6, MarkerFastCross = 7 }
typedef QMap< uint, MarkerStyle > | MarkerStylesMap
## Public Member Functions
bool | isVisible () const
| MarkerAttributes (const MarkerAttributes &)
| MarkerAttributes ()
QColor | markerColor () const
QSizeF | markerSize () const
MarkerStyle | markerStyle () const
MarkerStylesMap | markerStylesMap () const
bool | operator!= (const MarkerAttributes &) const
MarkerAttributes & | operator= (const MarkerAttributes &)
bool | operator== (const MarkerAttributes &) const
QPen | pen () const
void | setMarkerColor (const QColor &color)
void | setMarkerSize (const QSizeF &size)
| Normally you need to specify a valid QSizeF here, but for Legends you can use the invalid size QSizeF(), to enable automatic marker size calculation:.
void | setMarkerStyle (MarkerStyle style)
void | setMarkerStylesMap (const MarkerStylesMap &map)
void | setPen (const QPen &pen)
void | setVisible (bool visible)
| ~MarkerAttributes ()

## Member Typedef Documentation

typedef QMap<uint, MarkerStyle> KDChart::MarkerAttributes::MarkerStylesMap

| Definition at line 65 of file KDChartMarkerAttributes.h.

## Member Enumeration Documentation

enum KDChart::MarkerAttributes::MarkerStyle

  | Enumeration values:
  MarkerCircle |
  MarkerSquare |
  MarkerDiamond |
  Marker1Pixel |
  Marker4Pixels |
  MarkerRing |
  MarkerCross |
  MarkerFastCross |
Definition at line 53 of file KDChartMarkerAttributes.h.
    00053                          { MarkerCircle  = 0,
    00054                            MarkerSquare  = 1,
    00055                            MarkerDiamond = 2,
    00056                            Marker1Pixel  = 3,
    00057                            Marker4Pixels = 4,
    00058                            MarkerRing    = 5,
    00059                            MarkerCross   = 6,
    00060                            MarkerFastCross = 7 };

## Constructor & Destructor Documentation

KDChart::MarkerAttributes::MarkerAttributes | ( |  | ) |

KDChart::MarkerAttributes::MarkerAttributes | ( | const MarkerAttributes & |  | ) |

KDChart::MarkerAttributes::~MarkerAttributes | ( |  | ) |

## Member Function Documentation

bool KDChart::MarkerAttributes::isVisible | ( |  | ) | const

| Referenced by operator<<(), and KDChart::AbstractDiagram::paintMarker().

QColor KDChart::MarkerAttributes::markerColor | ( |  | ) | const

| Referenced by operator<<(), and KDChart::AbstractDiagram::paintMarker().

QSizeF KDChart::MarkerAttributes::markerSize | ( |  | ) | const

| Referenced by KDChart::LineWithMarkerLayoutItem::paint(), KDChart::MarkerLayoutItem::paintIntoRect(), KDChart::AbstractDiagram::paintMarker(), KDChart::LineWithMarkerLayoutItem::sizeHint(), and KDChart::MarkerLayoutItem::sizeHint().

MarkerStyle KDChart::MarkerAttributes::markerStyle | ( |  | ) | const

| Referenced by operator<<(), and KDChart::AbstractDiagram::paintMarker().

MarkerStylesMap KDChart::MarkerAttributes::markerStylesMap | ( |  | ) | const

| Referenced by operator<<().

bool KDChart::MarkerAttributes::operator!= | ( | const MarkerAttributes & |  | ) | const

| Definition at line 96 of file KDChartMarkerAttributes.h. References operator==().
    00096 { return !operator==( other ); }

MarkerAttributes& KDChart::MarkerAttributes::operator= | ( | const MarkerAttributes & |  | ) |

bool KDChart::MarkerAttributes::operator== | ( | const MarkerAttributes & |  | ) | const

| Referenced by operator!=().

QPen KDChart::MarkerAttributes::pen | ( |  | ) | const

| Referenced by operator<<(), and KDChart::AbstractDiagram::paintMarker().

void KDChart::MarkerAttributes::setMarkerColor | ( | const QColor & | color | ) |

void KDChart::MarkerAttributes::setMarkerSize | ( | const QSizeF & | size | ) |

| Normally you need to specify a valid QSizeF here, but for Legends you can use the invalid size QSizeF(), to enable automatic marker size calculation:. For Markers shown in a Legend this means the marker size will be equal to the font height used for the labels that are shown next to the markers.

void KDChart::MarkerAttributes::setMarkerStyle | ( | MarkerStyle | style | ) |

void KDChart::MarkerAttributes::setMarkerStylesMap | ( | const MarkerStylesMap & | map | ) |

void KDChart::MarkerAttributes::setPen | ( | const QPen & | pen | ) |

void KDChart::MarkerAttributes::setVisible | ( | bool | visible | ) |

The documentation for this class was generated from the following file:

- KDChartMarkerAttributes.h